Index: issm/trunk/AUTHORS
===================================================================
--- issm/trunk/AUTHORS	(revision 18081)
+++ issm/trunk/AUTHORS	(revision 18301)
@@ -11,5 +11,5 @@
    * Eric Larour <eric.larour@jpl.nasa.gov>
    * Helene Seroussi <helene.seroussi@jpl.nasa.gov>
-   * Mathieu Morlighem <mathieu.morlighem@jpl.nasa.gov>
+   * Mathieu Morlighem <mathieu.morlighem@uci.edu>
 
 Contributors:
Index: issm/trunk/configs/config-ios-armv7.sh
===================================================================
--- issm/trunk/configs/config-ios-armv7.sh	(revision 18301)
+++ issm/trunk/configs/config-ios-armv7.sh	(revision 18301)
@@ -0,0 +1,32 @@
+#!/bin/sh
+set -eu
+
+export DEVROOT=`xcode-select --print-path`
+export SDKROOT="$DEVROOT/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.1.sdk"
+export CLANG="$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang"
+export CLANGXX="$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++"
+export CC=$CLANG
+export LD=$DEVROOT/usr/bin/ld
+export CPPFLAGS="-isysroot $SDKROOT/usr/include"
+export CXX=$CLANGXX
+export CXXFLAGS="-O -arch armv7 -isysroot $SDKROOT -I$SDKROOT/usr/include" 
+export CFLAGS="-O -arch armv7 -isysroot $SDKROOT -I$SDKROOT/usr/include"
+export AR=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar
+export AS=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/as
+export LDFLAGS="-lstdc++ -arch armv7 -isysroot $SDKROOT" 
+export LIBTOOL=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool
+export STRIP=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/strip
+export RANLIB=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib
+
+./configure                                                        \
+	--prefix=$ISSM_DIR                                              \
+   --build="i386-apple-darwin13.1.0"                               \
+   --host="armv7-apple-darwin14.0.0"                               \
+   --enable-shared                                                 \
+   --with-ios=yes                                                  \
+   --with-Gia=no                                                   \
+   --without-fortran                                               \
+	--without-wrappers                                              \
+	--without-kriging                                               \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install           \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
Index: issm/trunk/configs/config-ios-armv7s.sh
===================================================================
--- issm/trunk/configs/config-ios-armv7s.sh	(revision 18301)
+++ issm/trunk/configs/config-ios-armv7s.sh	(revision 18301)
@@ -0,0 +1,32 @@
+#!/bin/sh
+set -eu
+
+export DEVROOT=`xcode-select --print-path`
+export SDKROOT="$DEVROOT/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.1.sdk"
+export CLANG="$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang"
+export CLANGXX="$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++"
+export CC=$CLANG
+export LD=$DEVROOT/usr/bin/ld
+export CPPFLAGS="-isysroot $SDKROOT/usr/include"
+export CXX=$CLANGXX
+export CXXFLAGS="-O -arch armv7s -isysroot $SDKROOT -I$SDKROOT/usr/include" 
+export CFLAGS="-O -arch armv7s -isysroot $SDKROOT -I$SDKROOT/usr/include"
+export AR=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar
+export AS=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/as
+export LDFLAGS="-lstdc++ -arch armv7s -isysroot $SDKROOT" 
+export LIBTOOL=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool
+export STRIP=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/strip
+export RANLIB=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib
+
+./configure                                                        \
+	--prefix=$ISSM_DIR                                              \
+   --build="i386-apple-darwin13.1.0"                               \
+   --host="armv7s-apple-darwin14.0.0"                               \
+   --enable-shared                                                 \
+   --with-ios=yes                                                  \
+   --with-Gia=no                                                   \
+   --without-fortran                                               \
+	--without-wrappers                                              \
+	--without-kriging                                               \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install           \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
Index: issm/trunk/configs/config-ios-simulator.sh
===================================================================
--- issm/trunk/configs/config-ios-simulator.sh	(revision 18301)
+++ issm/trunk/configs/config-ios-simulator.sh	(revision 18301)
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -eu
+
+export DEVROOT=`xcode-select --print-path`
+export SDKROOT="$DEVROOT/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator7.1.sdk"
+export CLANG="$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang"
+export CLANGXX="$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++"
+export CC=$CLANG
+export CXX=$CLANGXX
+export LD=$DEVROOT/usr/bin/ld
+export CPPFLAGS="-isysroot $SDKROOT/usr/include"
+export CXXFLAGS="-O -arch i386 -miphoneos-version-min=7.1 -isysroot $SDKROOT -I$SDKROOT/usr/include"
+export CFLAGS="-O -arch i386 -miphoneos-version-min=7.1  -isysroot $SDKROOT -I$SDKROOT/usr/include"
+export AR=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar
+export AS=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/as
+export LDFLAGS="-lstdc++ -arch i386 -isysroot $SDKROOT" 
+export LIBTOOL=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool
+export STRIP=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/strip
+export RANLIB=$DEVROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib
+
+./configure                                                        \
+	--prefix=$ISSM_DIR                                              \
+   --target="i386-apple-darwin13.1.0"                              \
+   --enable-shared                                                 \
+   --with-ios=yes                                                  \
+   --with-Gia=no                                                   \
+   --without-fortran                                               \
+	--without-wrappers                                              \
+	--without-kriging                                               \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install           \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
Index: issm/trunk/configure.ac
===================================================================
--- issm/trunk/configure.ac	(revision 18081)
+++ issm/trunk/configure.ac	(revision 18301)
@@ -2,5 +2,5 @@
 
 #AUTOCONF
-AC_INIT([Ice Sheet System Model (ISSM)],[4.7],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
+AC_INIT([Ice Sheet System Model (ISSM)],[4.8],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
 AC_CONFIG_AUX_DIR([./aux-config])         #Put config files in aux-config
 AC_CONFIG_MACRO_DIR([m4])                 #m4 macros are located in m4
Index: issm/trunk/etc/environment.sh
===================================================================
--- issm/trunk/etc/environment.sh	(revision 18081)
+++ issm/trunk/etc/environment.sh	(revision 18301)
@@ -102,4 +102,5 @@
 pathappend "$DAKOTA_DIR/bin"
 libpathappend "$DAKOTA_DIR/lib"
+dylibpathprepend "$DAKOTA_DIR/lib"
 
 DOXYGEN_DIR="$ISSM_DIR/externalpackages/doxygen/install"
@@ -140,7 +141,7 @@
 	export BOOSTROOT
 	export BOOST_DIR
-	libpathappend   "$BOOST_DIR/lib"
-	dylibpathappend "$BOOST_DIR/lib"
-	pathappend      "$BOOST_DIR/bin"
+	libpathprepend   "$BOOST_DIR/lib"
+	dylibpathprepend "$BOOST_DIR/lib"
+	pathprepend      "$BOOST_DIR/bin"
 fi
 
Index: issm/trunk/examples/Data/Download.sh
===================================================================
--- issm/trunk/examples/Data/Download.sh	(revision 18301)
+++ issm/trunk/examples/Data/Download.sh	(revision 18301)
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+echo "Downloading Square shelf dataset"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'http://issm.jpl.nasa.gov/files/workshop2014/SquareShelf.nc' 'SquareShelf.nc'
+
+echo "Downloading SeaRISE dataset - Antarctica"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'http://websrv.cs.umt.edu/isis/images/c/cc/Antarctica_5km_withshelves_v0.75.nc' 'Antarctica_5km_withshelves_v0.75.nc'
+
+echo "Downloading InSAR Antarctic velocities"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'ftp://sidads.colorado.edu/pub/DATASETS/nsidc0484_MEASURES_antarc_vel_V01/900m/antarctica_ice_velocity.nc' 'Antarctica_ice_velocity.nc' 
+
+echo "Downloading PIG errors"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'http://issm.jpl.nasa.gov/files/workshop2014/CrossOvers2009.mat' 'CrossOvers2009.mat'
+
+echo "Downloading SeaRISE dataset - Greenland"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'http://websrv.cs.umt.edu/isis/images/e/e9/Greenland_5km_dev1.2.nc' 'Greenland_5km_dev1.2.nc'
+
+echo "Downloading Jason Box's SMB"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'http://issm.jpl.nasa.gov/files/workshop2014/Box_Greenland_SMB_monthly_1840-2012_5km_ver20140421.nc' 'Box_Greenland_SMB_monthly_1840-2012_5km_ver20140421.nc'
+
+echo "Downloading IceBridge Jakobshavn bedrock"
+$ISSM_DIR/scripts/DownloadExternalPackage2.py 'https://data.cresis.ku.edu/data/grids/old_versions/Jakobshavn_2008_2011_Composite.zip' 'Jakobshavn_2008_2011_Composite.zip'
+unzip Jakobshavn_2008_2011_Composite.zip
+mv Jakobshavn_2008_2011_Composite/grids/Jakobshavn_2008_2011_Composite_XYZGrid.txt .
+rm -rf Jakobshavn_2008_2011_Composite Jakobshavn_2008_2011_Composite.zip
Index: issm/trunk/examples/Greenland/CheatSheet.m
===================================================================
--- issm/trunk/examples/Greenland/CheatSheet.m	(revision 18301)
+++ issm/trunk/examples/Greenland/CheatSheet.m	(revision 18301)
@@ -0,0 +1,37 @@
+if any(steps==8)
+	disp('   Step 8: Plotting exercise');
+
+	%Load historic transient model
+	md = loadmodel('./Models/Greenland.HistoricTransient');
+
+	%Create Line Plots of relaxation run.  Create a figure.
+	figure
+
+	%Save surface mass balance, by looping through 200 years, or 1000 steps
+	surfmb=[]; for i=1:1000; surfmb=[surfmb ...
+		md.results.TransientSolution(i).SurfaceforcingsMassBalance]; end
+
+	%Plot surface mass balance time series in first subplot
+	subplot(3,1,1); plot([0.2:0.2:200],mean(surfmb));
+
+	%Title this plot Mean surface mass balance
+	title('Mean Surface mass balance');
+
+	%Save velocity by looping through 1000 steps
+	vel=[]; for i=1:1000; vel=[vel md.results.TransientSolution(i).Vel]; end
+
+	%Plot velocity time series in second subplot
+	subplot(3,1,2); plot([0.2:0.2:200],mean(vel));
+
+	%Title this plot Mean Velocity
+	title('Mean Velocity');
+
+	%Save Ice Volume by looping through 1000 steps
+	volume=[]; for i=1:1000; volume=[volume md.results.TransientSolution(i).IceVolume]; end
+
+	%Plot volume time series in third subplot
+	subplot(3,1,3); plot([0.2:0.2:200],volume);
+
+	%Title this plot Mean Velocity and add an x label of years
+	title('Ice Volume'); xlabel('years');
+end
